// AutoClient.h: interface for the AutoClient class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_APP_H__D4C4DA62_9E3E_11D1_B440_00A024D09864__INCLUDED_)
#define AFX_APP_H__D4C4DA62_9E3E_11D1_B440_00A024D09864__INCLUDED_
#pragma once

#include "AutoTron.h"

class AutoClient  
{
public:
	AutoClient();
	~AutoClient();
	UINT ProcessCommands(void);
	HRESULT ExecuteStringResult(LPCTSTR pszCmd, LPTSTR pszResult);
	HRESULT CreateMatrix(char* pszNewName, const VARTYPE iMode, LPSAFEARRAY psa);
	inline HRESULT Failed(HRESULT hr, LPEXCEPINFO e, UINT nArrErr);
	HRESULT CreateSplus(void);

private:
	AutoObj SPlusApplication;
};

#endif // !defined(AFX_APP_H__D4C4DA62_9E3E_11D1_B440_00A024D09864__INCLUDED_)
